package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderCourseSettings;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderStudentDetail;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class MusicGroupPaymentCalenderAuditDetailDto {
    @ApiModelProperty(value = "缴费项基本信息",required = false)
    private MusicGroupPaymentCalenderAuditDto auditDto;

    @ApiModelProperty(value = "收费标准列表",required = false)
    private List<MusicGroupPaymentCalenderCourseSettings> musicGroupPaymentCalenderCourseSettings;

    @ApiModelProperty(value = "缴费周期列表",required = false)
    private List<MusicGroupPaymentCalender> musicGroupPaymentCalenders;

    @ApiModelProperty(value = "学员缴费详情",required = false)
    private List<MusicGroupPaymentCalenderStudentDetail> musicGroupPaymentCalenderStudentDetails;

    public List<MusicGroupPaymentCalenderStudentDetail> getMusicGroupPaymentCalenderStudentDetails() {
        return musicGroupPaymentCalenderStudentDetails;
    }

    public void setMusicGroupPaymentCalenderStudentDetails(List<MusicGroupPaymentCalenderStudentDetail> musicGroupPaymentCalenderStudentDetails) {
        this.musicGroupPaymentCalenderStudentDetails = musicGroupPaymentCalenderStudentDetails;
    }

    public List<MusicGroupPaymentCalender> getMusicGroupPaymentCalenders() {
        return musicGroupPaymentCalenders;
    }

    public void setMusicGroupPaymentCalenders(List<MusicGroupPaymentCalender> musicGroupPaymentCalenders) {
        this.musicGroupPaymentCalenders = musicGroupPaymentCalenders;
    }

    public MusicGroupPaymentCalenderAuditDto getAuditDto() {
        return auditDto;
    }

    public void setAuditDto(MusicGroupPaymentCalenderAuditDto auditDto) {
        this.auditDto = auditDto;
    }

    public List<MusicGroupPaymentCalenderCourseSettings> getMusicGroupPaymentCalenderCourseSettings() {
        return musicGroupPaymentCalenderCourseSettings;
    }

    public void setMusicGroupPaymentCalenderCourseSettings(List<MusicGroupPaymentCalenderCourseSettings> musicGroupPaymentCalenderCourseSettings) {
        this.musicGroupPaymentCalenderCourseSettings = musicGroupPaymentCalenderCourseSettings;
    }
}
